diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 438b94c..73cb801 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -75,6 +75,27 @@
 \index{\${#1}!defvar}}
 
 %%
+%% defconst marks a constant definition and adds it to the index
+%%
+\newcommand{\defconstant}[1]{% e.g. \defconst{varname}
+\subsection{defconstant \${#1}}%
+\label{#1}%
+\index{#1}%
+\index{defconstant!#1}%
+\index{#1!defconstant}}
+
+
+%%
+%% defdollar marks a var definition (with leading $) and adds it to the index
+%%
+\newcommand{\defdollarconstant}[1]{% e.g. \defdollarconstant{functionname}
+\subsection{defconstant \${#1}}%
+\label{#1}%
+\index{\${#1}}%
+\index{defconstant!\${#1}}%
+\index{\${#1}!defconstant}}
+
+%%
 %% pagehead consolidates standard page indexing
 %%
 \newcommand{\pagehead}[2]{% e.g. \pagehead{name}{abb}
@@ -891,6 +912,163 @@ this is what the current code does so I won't change it.
 
 @
 
+\section{Session Manager communication constants}
+These constants appear twice, the second one is for the boot language.
+\defdollarconstant{SessionManager}
+<<initconsts>>=
+(defconstant SessionManager 1)
+(defconstant |$SessionManager| SessionManager)
+
+@
+\defdollarconstant{ViewportServer}
+<<initconsts>>=
+(defconstant ViewportServer 2)
+(defconstant |$ViewportServer| ViewportServer)
+
+@
+\defdollarconstant{MenuServer}
+<<initconsts>>=
+(defconstant MenuServer 3)
+(defconstant |$MenuServer| MenuServer)
+
+@
+\defdollarconstant{SessionIO}
+<<initconsts>>=
+(defconstant SessionIO 4)
+(defconstant |$SessionIO| SessionIO)
+
+@
+\defdollarconstant{MessageServer}
+<<initconsts>>=
+(defconstant MessageServer 5)
+(defconstant |$MessageServer| MessageServer)
+
+@
+\defdollarconstant{InterpWindow}
+<<initconsts>>=
+(defconstant InterpWindow 6)
+(defconstant |$InterpWindow| InterpWindow)
+
+@
+\defdollarconstant{KillSpad}
+<<initconsts>>=
+(defconstant KillSpad 7)
+(defconstant |$KillSpad| KillSpad)
+
+@
+\defdollarconstant{DebugWindow}
+<<initconsts>>=
+(defconstant DebugWindow 8)
+(defconstant |$DebugWindow| DebugWindow)
+
+@
+\defdollarconstant{NAGLinkServer}
+<<initconsts>>=
+(defconstant NAGLinkServer 8)
+(defconstant |$NAGLinkServer| NAGLinkServer)
+
+@
+\defdollarconstant{Forker}
+<<initconsts>>=
+(defconstant Forker 9)
+(defconstant |$Forker| Forker)
+
+@
+
+\section{Session Manager action requests}
+These constants are used to communicate to the session manager.
+They appear to only be used to initialize the boot dollar variables.
+\defdollarconstant{CreateFrame}
+<<initconsts>>=
+(defconstant CreateFrame 1)
+(defconstant |$CreateFrame| CreateFrame)
+
+@
+\defdollarconstant{SwitchFrames}
+<<initconsts>>=
+(defconstant SwitchFrames 2)
+(defconstant |$SwitchFrames| SwitchFrames)
+
+@
+\defdollarconstant{EndOfOutput}
+<<initconsts>>=
+(defconstant EndOfOutput 3)
+(defconstant |$EndOfOutput| EndOfOutput)
+
+@
+\defdollarconstant{CallInterp}
+<<initconsts>>=
+(defconstant CallInterp 4)
+(defconstant |$CallInterp| CallInterp)
+
+@
+\defdollarconstant{EndSession}
+<<initconsts>>=
+(defconstant EndSession 5)
+(defconstant |$EndSession| EndSession)
+
+@
+\defdollarconstant{LispCommand}
+<<initconsts>>=
+(defconstant LispCommand 6)
+(defconstant |$LispCommand| LispCommand)
+
+@
+\defdollarconstant{SpadCommand}
+<<initconsts>>=
+(defconstant SpadCommand 7)
+(defconstant |$SpadCommand| SpadCommand)
+
+@
+\defdollarconstant{SendXEventToHyperTeX}
+<<initconsts>>=
+(defconstant SendXEventToHyperTeX 8)
+(defconstant |$SendXEventToHyperTeX| SendXEventToHyperTeX)
+
+@
+\defdollarconstant{QuietSpadCommand}
+<<initconsts>>=
+(defconstant QuietSpadCommand 9)
+(defconstant |$QuietSpadCommand| QuietSpadCommand)
+
+@
+\defdollarconstant{CloseClient}
+<<initconsts>>=
+(defconstant CloseClient 10)
+(defconstant |$CloseClient| CloseClient)
+
+@
+\defdollarconstant{QueryClients}
+<<initconsts>>=
+(defconstant QueryClients 11)
+(defconstant |$QueryClients| QueryClients)
+
+@
+\defdollarconstant{QuerySpad}
+<<initconsts>>=
+(defconstant QuerySpad 12)
+(defconstant |$QuerySpad| QuerySpad)
+
+@
+\defdollarconstant{NonSmanSession}
+<<initconsts>>=
+(defconstant NonSmanSession 13)
+(defconstant |$NonSmanSession| NonSmanSession)
+
+@
+\defdollarconstant{KillLispSystem}
+<<initconsts>>=
+(defconstant KillLispSystem 14)
+(defconstant |$KillLispSystem| KillLispSystem)
+
+@
+\defdollarconstant{CreateFrameAnswer}
+<<initconsts>>=
+(defconstant CreateFrameAnswer 50)
+(defconstant |$CreateFrameAnswer| CreateFrameAnswer)
+
+@
+
 \defun{serverReadLine}{serverReadLine}
 <<defun serverReadLine>>=
 (defun |serverReadLine| (stream)
@@ -16968,7 +17146,6 @@ $newspad
 $relative-directory-list
 $relative-library-directory-list
 |$seen|
-|$SessionManager|
 |$setOptions|
 |$slamFlag|
 /sourcefiles
@@ -17015,9 +17192,190 @@ error
 stringimage
 \end{verbatim}
 
+\chapter{Hypertex Service Handling}
+\defdollarconstant{LinkToPage}
+<<defconsts>>=
+(defconstant |$LinkToPage| 96) 
+
+@
+\defdollarconstant{StartPage}
+<<defconsts>>=
+(defconstant |$StartPage| 97) 
+
+@
+\defdollarconstant{SendLine}
+<<defconsts>>=
+(defconstant |$SendLine| 98) 
+
+@
+\defdollarconstant{EndOfPage}
+<<defconsts>>=
+(defconstant |$EndOfPage| 99) 
+
+@
+\defdollarconstant{PopUpPage}
+<<defconsts>>=
+(defconstant |$PopUpPage| 95) 
+
+@
+\defdollarconstant{PopUpNamedPage}
+<<defconsts>>=
+(defconstant |$PopUpNamedPage| 94) 
+
+@
+\defdollarconstant{KillPage}
+<<defconsts>>=
+(defconstant |$KillPage| 93) 
+
+@
+\defdollarconstant{ReplacePage}
+<<defconsts>>=
+(defconstant |$ReplacePage| 92) 
+
+@
+\defdollarconstant{ReplaceNamedPage}
+<<defconsts>>=
+(defconstant |$ReplaceNamedPage| 91) 
+
+@
+\defdollarconstant{SpadError}
+<<defconsts>>=
+(defconstant |$SpadError| 90) 
+
+@
+\defdollarconstant{PageStuff}
+<<defconsts>>=
+(defconstant |$PageStuff| 100) 
+
+@
+\defun{issueHT}{Issue a line of HyperTex}
+<<defun issueHT>>=
+(defun |issueHT| (line)
+ "Issue a line of HyperTex"
+ (declare (special |$MenuServer| |$SendLine|))
+ (|sockSendInt| |$MenuServer| |$SendLine|)
+ (|sockSendString| |$MenuServer| line))
+
+@
+\defun{endHTPage}{Mark the end of a hyperdoc page}
+<<defun endHTPage>>=
+(defun |endHTPage| ()
+ "Mark the end of a hyperdoc page"
+ (declare (special |$MenuServer| |$EndOfPage|))
+ (|sockSendInt| |$MenuServer| |$EndOfPage|))
+
+@
+\defun{testPage}{Generate a Hyperdoc Test Page from Lisp}
+<<defun testPage>>=
+(defun |testPage| ()
+ "Generate a Hyperdoc Test Page from Lisp"
+ (|startHTPage| 50) 
+ (|issueHT| "\\page{TestPage}{Test Page generated from Lisp} ")
+ (|issueHT| "\\horizontalline\\beginscroll\\beginitems ")
+ (|issueHT| "\\item \\downlink{Quayle Jokes}{ChickenPage} \\space{2} ")
+ (|issueHT| "The misadventures of the White House bellboy. ")
+ (|issueHT| "\\enditems\\endscroll\\autobuttons ")
+ (|endHTPage|))
+
+@
+\defun{replaceNamedHTPage}{Replace a current hypertex page}
+<<defun replaceNamedHTPage>>=
+(defun |replaceNamedHTPage| (window name)
+ "Replace a current hypertex page"
+ (declare (special |$MenuServer| |$PageStuff| |$currentFrameNum|
+    |$ReplaceNamedPage|))
+ (|sockSendInt| |$MenuServer| |$PageStuff|)
+ (|sockSendInt| |$MenuServer| |$currentFrameNum|)
+ (|sockSendInt| |$MenuServer| |$ReplaceNamedPage|)
+ (|sockSendInt| |$MenuServer| window)
+ (|sockSendString| |$MenuServer| name))
+
+@
+\defun{startHTPopUpPage}{Start up a form page from spad}
+<<defun startHTPopUpPage>>=
+(defun |startHTPopUpPage| (cols)
+ "Start up a form page from spad"
+ (declare (special |$MenuServer| |$PageStuff| |$currentFrameNum| |$PopUpPage|))
+ (|sockSendInt| |$MenuServer| |$PageStuff|)
+ (|sockSendInt| |$MenuServer| |$currentFrameNum|)
+ (|sockSendInt| |$MenuServer| |$PopUpPage|)
+ (|sockSendInt| |$MenuServer| cols)
+ (|sockGetInt| |$MenuServer|))
+
+@
+\defun{startHTPage}{Start a page from spad}
+<<defun startHTPage>>=
+(defun |startHTPage| (cols)
+ "Start a page from spad.  Using the spcified number of columns"
+ (declare (special |$MenuServer| |$PageStuff| |$currentFrameNum| |$StartPage|))
+ (|sockSendInt| |$MenuServer| |$PageStuff|)
+ (|sockSendInt| |$MenuServer| |$currentFrameNum|)
+ (|sockSendInt| |$MenuServer| |$StartPage|)
+ (|sockSendInt| |$MenuServer| cols))
+
+@
+\defun{startReplaceHTPage}{Start a replace page sequence}
+<<defun startReplaceHTPage>>=
+(defun |startReplaceHTPage| (w)
+ "Start a replace page sequence"
+ (declare (special |$MenuServer| |$PageStuff| |$currentFrameNum| 
+    |$ReplacePage|))
+ (|sockSendInt| |$MenuServer| |$PageStuff|)
+ (|sockSendInt| |$MenuServer| |$currentFrameNum|)
+ (|sockSendInt| |$MenuServer| |$ReplacePage|)
+ (|sockSendInt| |$MenuServer| w))
+
+@
+\defun{killHTPage}{Kill a hyperdoc page}
+<<defun killHTPage>>=
+(defun |killHTPage| (w)
+ "Kill a hyperdoc page"
+ (declare (special |$MenuServer| |$PageStuff| |$currentFrameNum| |$KillPage|))
+ (|sockSendInt| |$MenuServer| |$PageStuff|)
+ (|sockSendInt| |$MenuServer| |$currentFrameNum|)
+ (|sockSendInt| |$MenuServer| |$KillPage|)
+ (|sockSendInt| |$MenuServer| w))
+
+@
+\defun{linkToHTPage}{Link to hyperdoc page}
+<<defun linkToHTPage>>=
+(defun |linkToHTPage| (name)
+ "Link to hyperdoc page"
+ (declare (special |$MenuServer| |$PageStuff| |$currentFrameNum| 
+    |$LinkToPage|))
+ (|sockSendInt| |$MenuServer| |$PageStuff|)
+ (|sockSendInt| |$MenuServer| |$currentFrameNum|)
+ (|sockSendInt| |$MenuServer| |$LinkToPage|)
+ (|sockSendString| |$MenuServer| name))
+
+@
+\defun{popUpNamedHTPage}{Pop up a named hyperdoc page}
+<<defun popUpNamedHTPage>>=
+(defun |popUpNamedHTPage| (name cols)
+ "Pop up a named hyperdoc page"
+ (declare (special |$MenuServer| |$PageStuff| |$currentFrameNum|
+    |$PopUpNamedPage|))
+ (|sockSendInt| |$MenuServer| |$PageStuff|)
+ (|sockSendInt| |$MenuServer| |$currentFrameNum|)
+ (|sockSendInt| |$MenuServer| |$PopUpNamedPage|)
+ (|sockSendInt| |$MenuServer| cols)
+ (|sockSendString| |$MenuServer| name)
+ (|sockGetInt| |$MenuServer|))
+
+@
+\defun{sendHTErrorSignal}{Send hyperdoc an error signal}
+<<defun sendHTErrorSignal>>=
+(defun |sendHTErrorSignal| ()
+ "Send hyperdoc an error signal"
+ (declare (special |$MenuServer| |$SpadError|))
+ (|sockSendInt| |$MenuServer| |$SpadError|))
+
+@
+
 \chapter{The Interpreter}
 <<Interpreter>>=
 (in-package "BOOT")
+<<initconsts>>
 <<initvars>>
 
 <<defmacro funfind>>
@@ -17108,6 +17466,7 @@ stringimage
 <<defun Else?>>
 <<defun Elseif?>>
 <<defun emptyInterpreterFrame>>
+<<defun endHTPage>>
 <<defun eofp>>
 
 <<defun fetchOutput>>
@@ -17179,16 +17538,19 @@ stringimage
 <<defun isListOfIdentifiers>>
 <<defun isListOfIdentifiersOrStrings>>
 <<defun isSubForRedundantMapName>>
+<<defun issueHT>>
 <<defun isTraceGensym>>
 <<defun isUncompiledMap>>
 
 <<defun KeepPart?>>
+<<defun killHTPage>>
 
 <<defun lassocSub>>
 <<defun leaveScratchpad>>
 <<defun letPrint>>
 <<defun letPrint2>>
 <<defun letPrint3>>
+<<defun linkToHTPage>>
 <<defun listConstructorAbbreviations>>
 <<defun loadExposureGroupData>>
 
@@ -17224,6 +17586,7 @@ stringimage
 <<defun orderBySlotNumber>>
 
 <<defun pcounters>>
+<<defun popUpNamedHTPage>>
 <<defun pquit>>
 <<defun pquitSpad2Cmd>>
 <<defun previousInterpreterFrame>>
@@ -17250,6 +17613,7 @@ stringimage
 <<defun removeOption>>
 <<defun removeTracedMapSigs>>
 <<defun removeUndoLines>>
+<<defun replaceNamedHTPage>>
 <<defun reportSpadTrace>>
 <<defun reportUndo>>
 <<defun reroot>>
@@ -17274,6 +17638,7 @@ stringimage
 <<defun ScanOrPairVec,ScanOrInner>>
 <<defun selectOption>>
 <<defun selectOptionLC>>
+<<defun sendHTErrorSignal>>
 <<defun serverReadLine>>
 <<defun set>>
 <<defun set1>>
@@ -17327,12 +17692,16 @@ stringimage
 <<defun spadTrace,isTraceable>>
 <<defun spadUntrace>>
 <<defun stackTraceOptionError>>
+<<defun startHTPage>>
+<<defun startHTPopUpPage>>
+<<defun startReplaceHTPage>>
 <<defun statisticsInitialization>>
 <<defun stupidIsSpadFunction>>
 <<defun subTypes>>
 <<defun summary>>
 
 <<defun ?t>>
+<<defun testPage>>
 <<defun Top?>>
 <<defun trace>>
 <<defun trace1>>
diff --git a/changelog b/changelog
index e358c2b..7e397cc 100644
--- a/changelog
+++ b/changelog
@@ -1,4 +1,12 @@
-20090412 tpd src/axiom-website/patches.html 20090413.01.tpd.patch
+20090413 tpd src/axiom-website/patches.html 20090413.02.tpd.patch
+20090413 tpd src/interp/sockio.lisp move interpreter code to bookvol5
+20090413 tpd src/interp/hypertex.boot move interpreter code to bookvol5
+20090413 tpd src/interp/debugsys.lisp remove sockio, hypertex
+20090413 tpd src/interp/Makefile move interpreter code to bookvol5
+20090413 tpd src/input/unittest2.input remove obsolete test
+20090413 tpd src/input/r20bugs.input fix changed output
+20090413 tpd books/bookvol5 move interpreter code to bookvol5
+20090413 tpd src/axiom-website/patches.html 20090413.01.tpd.patch
 20090413 tpd books/bookvol12 add Gelernter's observations
 20090412 tpd src/axiom-website/patches.html 20090412.01.tpd.patch
 20090412 tpd books/bookvol5 fix event comparison case chain bug
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index f292865..cfe2bc4 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1068,5 +1068,7 @@ faq 50: Cannot find libXpm.a<br/>
 bookvol5 fix event comparison case chain bug<br/>
 <a href="patches/20090413.01.tpd.patch">20090413.01.tpd.patch</a>
 bookvol12 add Gelernter's observations<br/>
+<a href="patches/20090413.02.tpd.patch">20090413.02.tpd.patch</a>
+bookvol15 add more interpreter code<br/>
  </body>
 </html>
diff --git a/src/input/r20bugs.input.pamphlet b/src/input/r20bugs.input.pamphlet
index 93b9926..829d2a5 100644
--- a/src/input/r20bugs.input.pamphlet
+++ b/src/input/r20bugs.input.pamphlet
@@ -197,8 +197,7 @@ positiveRemainder(-1::SINT,-5::SINT)
 complexRoots([u**2-v+1,v**2-4],[u,v],0.01)
 --R 
 --R
---R   (1)
---R   [[1.732421875 %i,- 2.0],[- 1.732421875 %i,- 2.0],[- 1.0,2.0],[1.0,2.0]]
+--R   (1)  [[1.73046875 %i,- 2.0],[- 1.73046875 %i,- 2.0],[- 1.0,2.0],[1.0,2.0]]
 --R                                                Type: List List Complex Float
 --E 17
 
diff --git a/src/input/unittest2.input.pamphlet b/src/input/unittest2.input.pamphlet
index 69266c9..d83558f 100644
--- a/src/input/unittest2.input.pamphlet
+++ b/src/input/unittest2.input.pamphlet
@@ -1340,10 +1340,10 @@ Unit test the user level commands
 --RValue = ((|breakmode| "execute break processing on error" |interpreter| LITERALS |$BreakMode| (|nobreak| |break| |query| |resume| |fastlinks|) |nobreak|) (|compiler| "Library compiler options" |interpreter| TREE |novar| ((|output| "library in which to place compiled code" |interpreter| FUNCTION |setOutputLibrary| NIL |htSetOutputLibrary|) (|input| "controls libraries from which to load compiled code" |interpreter| FUNCTION |setInputLibrary| NIL |htSetInputLibrary|) (|args| "arguments for compiling AXIOM code" |interpreter| FUNCTION |setAsharpArgs| (("enter compiler options " STRING |$asharpCmdlineFlags| |chkDirectory| "-O -Fasy -Fao -Flsp -laxiom -Mno-AXL__W__WillObsolete -DAxiom -Y $AXIOM/algebra")) NIL))) (|debug| "debug options" |interpreter| TREE |novar| ((|lambdatype| "show type information for #1 syntax" |interpreter| LITERALS $LAMBDATYPE (|on| |off|) |off|) (|dalymode| "Interpret leading open paren as lisp" |interpreter| LITERALS $DALYMODE (|on| |off|) |off|))) (|expose| "control interpreter constructor exposure" |interpreter| FUNCTION |setExpose| NIL |htSetExpose|) (|functions| "some interpreter function options" |interpreter| TREE |novar| ((|cache| "number of function results to cache" |interpreter| FUNCTION |setFunctionsCache| NIL |htSetCache|) (|compile| "compile, don't just define function bodies" |interpreter| LITERALS |$compileDontDefineFunctions| (|on| |off|) |on|) (|recurrence| "specially compile recurrence relations" |interpreter| LITERALS |$compileRecurrence| (|on| |off|) |on|))) (|fortran| "view and set options for FORTRAN output" |interpreter| TREE |novar| ((|ints2floats| "where sensible, coerce integers to reals" |interpreter| LITERALS |$fortInts2Floats| (|on| |off|) |on|) (|fortindent| "the number of characters indented" |interpreter| INTEGER |$fortIndent| (0 NIL) 6) (|fortlength| "the number of characters on a line" |interpreter| INTEGER |$fortLength| (1 NIL) 72) (|typedecs| "print type and dimension lines" |interpreter| LITERALS |$printFortranDecs| (|on| |off|) |on|) (|defaulttype| "default generic type for FORTRAN object" |interpreter| LITERALS |$defaultFortranType| (REAL INTEGER COMPLEX LOGICAL CHARACTER) REAL) (|precision| "precision of generated FORTRAN objects" |interpreter| LITERALS |$fortranPrecision| (|single| |double|) |double|) (|intrinsic| "whether to use INTRINSIC FORTRAN functions" |interpreter| LITERALS |$useIntrinsicFunctions| (|on| |off|) |off|) (|explength| "character limit for FORTRAN expressions" |interpreter| INTEGER |$maximumFortranExpressionLength| (0 NIL) 1320) (|segment| "split long FORTRAN expressions" |interpreter| LITERALS |$fortranSegment| (|on| |off|) |on|) (|optlevel| "FORTRAN optimisation level" |interpreter| INTEGER |$fortranOptimizationLevel| (0 2) 0) (|startindex| "starting index for FORTRAN arrays" |interpreter| INTEGER |$fortranArrayStartingIndex| (0 1) 1) (|calling| "options for external FORTRAN calls" |interpreter| TREE |novar| ((|tempfile| "set location of temporary data files" |interpreter| FUNCTION |setFortTmpDir| (("enter directory name for which you have write-permission" DIRECTORY |$fortranTmpDir| |chkDirectory| "/tmp/")) NIL) (|directory| "set location of generated FORTRAN files" |interpreter| FUNCTION |setFortDir| (("enter directory name for which you have write-permission" DIRECTORY |$fortranDirectory| |chkDirectory| "./")) NIL) (|linker| "linker arguments (e.g. libraries to search)" |interpreter| FUNCTION |setLinkerArgs| (("enter linker arguments " STRING |$fortranLibraries| |chkDirectory| "-lxlf")) NIL))))) (|kernel| "library functions built into the kernel for efficiency" |interpreter| TREE |novar| ((|warn| "warn when re-definition is attempted" |interpreter| FUNCTION |protectedSymbolsWarning| NIL |htSetKernelWarn|) (|protect| "prevent re-definition of kernel functions" |interpreter| FUNCTION |protectSymbols| NIL |htSetKernelProtect|))) (|hyperdoc| "options in using HyperDoc" |interpreter| TREE |novar| ((|fullscreen| "use full screen for this facility" |interpreter| LITERALS |$fullScreenSysVars| (|on| |off|) |off|) (|mathwidth| "screen width for history output" |interpreter| INTEGER |$historyDisplayWidth| (0 NIL) 120))) (|help| "view and set some help options" |interpreter| TREE |novar| ((|fullscreen| "use fullscreen facility, if possible" |interpreter| LITERALS |$useFullScreenHelp| (|on| |off|) |off|))) (|history| "save workspace values in a history file" |interpreter| LITERALS |$HiFiAccess| (|on| |off|) |on|) (|messages| "show messages for various system features" |interpreter| TREE |novar| ((|any| "print the internal type of objects of domain Any" |interpreter| LITERALS |$printAnyIfTrue| (|on| |off|) |on|) (|autoload| "print file auto-load messages" |interpreter| LITERALS |$printLoadMsgs| (|on| |off|) |on|) (|bottomup| "display bottom up modemap selection" |development| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|coercion| "display datatype coercion messages" |development| LITERALS |$reportCoerceIfTrue| (|on| |off|) |off|) (|dropmap| "display old map defn when replaced" |interpreter| LITERALS |$displayDroppedMap| (|on| |off|) |off|) (|expose| "warning for unexposed functions" |interpreter| LITERALS |$giveExposureWarning| (|on| |off|) |off|) (|file| "print msgs also to SPADMSG LISTING" |development| LITERALS |$printMsgsToFile| (|on| |off|) |off|) (|frame| "display messages about frames" |interpreter| LITERALS |$frameMessages| (|on| |off|) |off|) (|highlighting| "use highlighting in system messages" |interpreter| LITERALS |$highlightAllowed| (|on| |off|) |off|) (|instant| "present instantiation summary" |development| LITERALS |$reportInstantiations| (|on| |off|) |off|) (|insteach| "present instantiation info" |development| LITERALS |$reportEachInstantiation| (|on| |off|) |off|) (|interponly| "say when function code is interpreted" |interpreter| LITERALS |$reportInterpOnly| (|on| |off|) |on|) (|naglink| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|number| "display message number with message" |interpreter| LITERALS |$displayMsgNumber| (|on| |off|) |off|) (|prompt| "set type of input prompt to display" |interpreter| LITERALS |$inputPromptType| (|none| |frame| |plain| |step| |verbose|) |step|) (|selection| "display function selection msgs" |interpreter| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|set| "show )set setting after assignment" |interpreter| LITERALS |$displaySetValue| (|on| |off|) |off|) (|startup| "display messages on start-up" |interpreter| LITERALS |$displayStartMsgs| (|on| |off|) |on|) (|summary| "print statistics after computation" |interpreter| LITERALS |$printStatisticsSummaryIfTrue| (|on| |off|) |off|) (|testing| "print system testing header" |development| LITERALS |$testingSystem| (|on| |off|) |off|) (|time| "print timings after computation" |interpreter| LITERALS |$printTimeIfTrue| (|on| |off| |long|) |off|) (|type| "print type after computation" |interpreter| LITERALS |$printTypeIfTrue| (|on| |off|) |on|) (|void| "print Void value when it occurs" |interpreter| LITERALS |$printVoidIfTrue| (|on| |off|) |off|))) (|naglink| "options for NAGLink" |interpreter| TREE |novar| ((|host| "internet address of host for NAGLink" |interpreter| FUNCTION |setNagHost| (("enter host name" DIRECTORY |$nagHost| |chkDirectory| "localhost")) NIL) (|persistence| "number of (fortran) functions to remember" |interpreter| FUNCTION |setFortPers| (("Requested remote storage (for asps):" INTEGER |$fortPersistence| (0 NIL) 10)) NIL) (|messages| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|double| "enforce DOUBLE PRECISION ASPs" |interpreter| LITERALS |$nagEnforceDouble| (|on| |off|) |on|))) (|output| "view and set some output options" |interpreter| TREE |novar| ((|abbreviate| "abbreviate type names" |interpreter| LITERALS |$abbreviateTypes| (|on| |off|) |off|) (|algebra| "display output in algebraic form" |interpreter| FUNCTION |setOutputAlgebra| (("display output in algebraic form" LITERALS |$algebraFormat| (|off| |on|) |on|) (BREAK $ALGEBRAFORMAT) ("where algebra printing goes (enter {em console} or a pathname)?" FILENAME |$algebraOutputFile| |chkOutputFileName| "console")) NIL) (|characters| "choose special output character set" |interpreter| FUNCTION |setOutputCharacters| NIL |htSetOutputCharacters|) (|fortran| "create output in FORTRAN format" |interpreter| FUNCTION |setOutputFortran| (("create output in FORTRAN format" LITERALS |$fortranFormat| (|off| |on|) |off|) (|break| |$fortranFormat|) ("where FORTRAN output goes (enter {em console} or a a pathname)" FILENAME |$fortranOutputFile| |chkOutputFileName| "console")) NIL) (|fraction| "how fractions are formatted" |interpreter| LITERALS |$fractionDisplayType| (|vertical| |horizontal|) |vertical|) (|length| "line length of output displays" |interpreter| INTEGER $LINELENGTH (10 245) 77) (|mathml| "create output in MathML style" |interpreter| FUNCTION |setOutputMathml| (("create output in MathML format" LITERALS |$mathmlFormat| (|off| |on|) |off|) (|break| |$mathmlFormat|) ("where MathML output goes (enter {em console} or a pathname)" FILENAME |$mathmlOutputFile| |chkOutputFileName| "console")) NIL) (|openmath| "create output in OpenMath style" |interpreter| FUNCTION |setOutputOpenMath| (("create output in OpenMath format" LITERALS |$openMathFormat| (|off| |on|) |off|) (|break| |$openMathFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$openMathOutputFile| |chkOutputFileName| "console")) NIL) (|script| "display output in SCRIPT formula format" |interpreter| FUNCTION |setOutputFormula| (("display output in SCRIPT format" LITERALS |$formulaFormat| (|off| |on|) |off|) (|break| |$formulaFormat|) ("where script output goes (enter {em console} or a a pathname)" FILENAME |$formulaOutputFile| |chkOutputFileName| "console")) NIL) (|scripts| "show subscripts,... linearly" |interpreter| LITERALS |$linearFormatScripts| (|on| |off|) |off|) (|showeditor| "view output of )show in editor" |interpreter| LITERALS |$useEditorForShowOutput| (|on| |off|) |off|) (|tex| "create output in TeX style" |interpreter| FUNCTION |setOutputTex| (("create output in TeX format" LITERALS |$texFormat| (|off| |on|) |off|) (|break| |$texFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$texOutputFile| |chkOutputFileName| "console")) NIL))) (|quit| "protected or unprotected quit" |interpreter| LITERALS |$quitCommandType| (|protected| |unprotected|) |protected|) (|streams| "set some options for working with streams" |interpreter| TREE |novar| ((|calculate| "specify number of elements to calculate" |interpreter| FUNCTION |setStreamsCalculate| (("number of initial stream elements you want calculated" INTEGER |$streamCount| (0 NIL) 10)) NIL) (|showall| "display all stream elements computed" |interpreter| LITERALS |$streamsShowAll| (|on| |off|) |off|))) (|system| "set some system development variables" |development| TREE |novar| ((|functioncode| "show gen. LISP for functions when compiled" |development| LITERALS |$reportCompilation| (|on| |off|) |off|) (|optimization| "show optimized LISP code" |development| LITERALS |$reportOptimization| (|on| |off|) |off|) (|prettyprint| "prettyprint BOOT func's as they compile" |development| LITERALS $PRETTYPRINT (|on| |off|) |on|))) (|userlevel| "operation access level of system user" |interpreter| LITERALS |$UserLevel| (|interpreter| |compiler| |development|) |development|))
 --E 213
 
---S 214 of 237
-)lisp (identity |$shoeReadLineFunction|)
+--S 214 of 237 obsolete |$shoeReadLineFunction|
+)lisp nil
 --R 
---RValue = #<compiled-function |serverReadLine|>
+--RValue = NIL
 --E 214
 
 --S 215 of 237
diff --git a/src/interp/Makefile.pamphlet b/src/interp/Makefile.pamphlet
index 7c48134..a7c0ab4 100644
--- a/src/interp/Makefile.pamphlet
+++ b/src/interp/Makefile.pamphlet
@@ -211,7 +211,7 @@ OBJS= ${OUT}/vmlisp.${O}      ${OUT}/hash.${O} \
       ${OUT}/g-timer.${O}     ${OUT}/g-util.${O} \
       ${OUT}/gclweb.${O}      ${OUT}/ggreater.${O}    \
       ${OUT}/http.${O} \
-      ${OUT}/hypertex.${O}    ${OUT}/i-analy.${O} \
+      ${OUT}/i-analy.${O} \
       ${OUT}/i-code.${O}      ${OUT}/i-coerce.${O} \
       ${OUT}/i-coerfn.${O}    ${OUT}/i-eval.${O} \
       ${OUT}/i-funsel.${O}    ${OUT}/bookvol5.${O} \
@@ -478,7 +478,7 @@ DOCFILES=${DOC}/alql.boot.dvi \
 	 ${DOC}/g-util.boot.dvi ${DOC}/hashcode.boot.dvi \
 	 ${DOC}/hash.lisp.dvi ${DOC}/htcheck.boot.dvi \
 	 ${DOC}/ht-root.boot.dvi ${DOC}/htsetvar.boot.dvi \
-	 ${DOC}/ht-util.boot.dvi ${DOC}/hypertex.boot.dvi \
+	 ${DOC}/ht-util.boot.dvi \
 	 ${DOC}/i-analy.boot.dvi ${DOC}/i-code.boot.dvi \
 	 ${DOC}/i-coerce.boot.dvi ${DOC}/i-coerfn.boot.dvi \
 	 ${DOC}/i-eval.boot.dvi ${DOC}/i-funsel.boot.dvi \
@@ -4070,50 +4070,6 @@ ${MID}/http.lisp: ${IN}/http.lisp
 
 @
 
-\subsection{hypertex.boot}
-<<hypertex.o (OUT from MID)>>=
-${OUT}/hypertex.${O}: ${MID}/hypertex.clisp 
-	@ echo 276 making ${OUT}/hypertex.${O} from ${MID}/hypertex.clisp
-	@ (cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/hypertex.clisp"' \
-             ':output-file "${OUT}/hypertex.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/hypertex.clisp"' \
-             ':output-file "${OUT}/hypertex.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
-	  fi )
-
-@
-<<hypertex.clisp (MID from IN)>>=
-${MID}/hypertex.clisp: ${IN}/hypertex.boot.pamphlet
-	@ echo 277 making ${MID}/hypertex.clisp \
-                   from ${IN}/hypertex.boot.pamphlet
-	@ (cd ${MID} ; \
-	  ${TANGLE} ${IN}/hypertex.boot.pamphlet >hypertex.boot ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn (boottran::boottocl "hypertex.boot") (${BYE}))' \
-                | ${DEPSYS} ; \
-	  else \
-	   echo '(progn (boottran::boottocl "hypertex.boot") (${BYE}))' \
-                | ${DEPSYS} >${TMP}/trace ; \
-	  fi ; \
-	  rm hypertex.boot )
-
-@
-<<hypertex.boot.dvi (DOC from IN)>>=
-${DOC}/hypertex.boot.dvi: ${IN}/hypertex.boot.pamphlet 
-	@echo 278 making ${DOC}/hypertex.boot.dvi \
-                  from ${IN}/hypertex.boot.pamphlet
-	@(cd ${DOC} ; \
-	cp ${IN}/hypertex.boot.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} hypertex.boot ; \
-	rm -f ${DOC}/hypertex.boot.pamphlet ; \
-	rm -f ${DOC}/hypertex.boot.tex ; \
-	rm -f ${DOC}/hypertex.boot )
-
-@
-
 \subsection{i-analy.boot}
 <<i-analy.o (OUT from MID)>>=
 ${OUT}/i-analy.${O}: ${MID}/i-analy.clisp 
@@ -8753,10 +8709,6 @@ clean:
 <<ht-util.clisp (MID from IN)>>
 <<ht-util.boot.dvi (DOC from IN)>>
 
-<<hypertex.o (OUT from MID)>>
-<<hypertex.clisp (MID from IN)>>
-<<hypertex.boot.dvi (DOC from IN)>>
-
 <<i-analy.o (OUT from MID)>>
 <<i-analy.clisp (MID from IN)>>
 <<i-analy.boot.dvi (DOC from IN)>>
diff --git a/src/interp/debugsys.lisp.pamphlet b/src/interp/debugsys.lisp.pamphlet
index 8b9f7e9..9bfa8e2 100644
--- a/src/interp/debugsys.lisp.pamphlet
+++ b/src/interp/debugsys.lisp.pamphlet
@@ -117,7 +117,6 @@ loaded by hand we need to establish a value.
       (thesymb "/int/interp/g-util.clisp")
       (thesymb "/int/interp/gclweb.lisp")
       (thesymb "/int/interp/ggreater.lisp")
-      (thesymb "/int/interp/hypertex.clisp")
       (thesymb "/int/interp/i-analy.clisp")
       (thesymb "/int/interp/i-code.clisp")
       (thesymb "/int/interp/i-coerce.clisp")
diff --git a/src/interp/hypertex.boot.pamphlet b/src/interp/hypertex.boot.pamphlet
index 8f43b8c..24e6ece 100644
--- a/src/interp/hypertex.boot.pamphlet
+++ b/src/interp/hypertex.boot.pamphlet
@@ -48,7 +48,6 @@
 
 -- HyperTex Spad interface
 
-SETANDFILEQ($SendXEventToHyperTeX, 8)
 SETANDFILEQ($LinkToPage, 96)
 SETANDFILEQ($StartPage, 97)
 SETANDFILEQ($SendLine, 98)
diff --git a/src/interp/sockio.lisp.pamphlet b/src/interp/sockio.lisp.pamphlet
index 2eb437e..39d84df 100644
--- a/src/interp/sockio.lisp.pamphlet
+++ b/src/interp/sockio.lisp.pamphlet
@@ -50,25 +50,6 @@
 
 (in-package "BOOT")
 
-#+(and :Lucid (not :ibm/370))
-(progn
-  (system:define-foreign-function :c 'open_server :fixnum)
-  (system:define-foreign-function :c 'sock_get_int :fixnum)
-  (system:define-foreign-function :c 'sock_send_int :fixnum)
-  (system:define-foreign-function :c 'sock_get_string_buf :fixnum)
-  (system:define-foreign-function :c 'sock_send_string_len :fixnum)
-  (system:define-foreign-function :c 'sock_get_float :single)
-  (system:define-foreign-function :c 'sock_send_float :fixnum)
-  (system:define-foreign-function :c 'sock_send_wakeup :fixnum)
-  (system:define-foreign-function :c 'server_switch :fixnum)
-  (system:define-foreign-function :c 'flush_stdout :fixnum)
-  (system:define-foreign-function :c 'sock_send_signal :fixnum)
-  (system:define-foreign-function :c 'print_line :fixnum)
-  (system:define-foreign-function :c 'plus_infininty :single)
-  (system:define-foreign-function :c 'minus_infinity :single)
-  (system:define-foreign-function :c 'NANQ :single)
-)
-
 @
 This was changed as of GCL-2.6.8pre2. It used to read:
 \begin{verbatim}
@@ -163,91 +144,8 @@ resolve the problem
 (defun |printLine| (str)
   (print_line str))
 
-;; Socket types.  This list must be consistent with the one in com.h
-
-(defconstant SessionManager     1)
-(defconstant ViewportServer     2)
-(defconstant MenuServer         3)
-(defconstant SessionIO          4)
-(defconstant MessageServer      5)
-(defconstant InterpWindow       6)
-(defconstant KillSpad		7)
-(defconstant DebugWindow	8)
-(defconstant NAGLinkServer      8)
-(defconstant Forker		9)
-
-;; same constants for use in BOOT
-(defconstant |$SessionManager|  SessionManager)
-(defconstant |$ViewportServer|  ViewportServer)
-(defconstant |$MenuServer|      MenuServer)
-(defconstant |$SessionIO|       SessionIO)
-(defconstant |$MessageServer|   MessageServer)
-(defconstant |$InterpWindow|    InterpWindow)
-(defconstant |$KillSpad|	KillSpad)
-(defconstant |$DebugWindow|     DebugWindow)
-(defconstant |$NAGLinkServer|   NAGLinkServer)
-(defconstant |$Forker|		Forker)
-
-;; Session Manager action requests
-
-(defconstant CreateFrame        1)
-(defconstant SwitchFrames       2)
-(defconstant EndOfOutput        3)
-(defconstant CallInterp         4)
-(defconstant EndSession         5)
-(defconstant LispCommand        6)
-(defconstant SpadCommand        7)
-(defconstant SendXEventToHyperTeX 8)
-(defconstant QuietSpadCommand   9)
-(defconstant CloseClient        10)
-(defconstant QueryClients       11)
-(defconstant QuerySpad		12)
-(defconstant NonSmanSession	13)
-(defconstant KillLispSystem     14)
-
-(defconstant CreateFrameAnswer  50)
-
-(defconstant |$CreateFrame|     CreateFrame)
-(defconstant |$SwitchFrames|    SwitchFrames)
-(defconstant |$EndOfOutput|     EndOfOutput)
-(defconstant |$CallInterp|      CallInterp)
-(defconstant |$EndSession|      EndSession)
-(defconstant |$LispCommand|     LispCommand)
-(defconstant |$SpadCommand|     SpadCommand)
-(defconstant |$SendXEventToHyperTeX| SendXEventToHyperTeX)
-(defconstant |$QuietSpadCommand| QuietSpadCommand)
-(defconstant |$CloseClient|     CloseClient)
-(defconstant |$QueryClients|    QueryClients)
-(defconstant |$QuerySpad|	QuerySpad)
-(defconstant |$NonSmanSession|	NonSmanSession)
-(defconstant |$KillLispSystem|  KillLispSystem)
-
-(defconstant |$CreateFrameAnswer|  CreateFrameAnswer)
-
-;; signal types (from /usr/include/sys/signal.h)
-#+(and :Lucid (not :ibm/370))
-(progn 
-  (defconstant	SIGUSR1	16)	;; user defined signal 1
-  (defconstant	SIGUSR2	17)	;; user defined signal 2
-  )
-
-#+:RIOS
-(progn 
-  (defconstant	SIGUSR1	30)	;; user defined signal 1
-  (defconstant	SIGUSR2	31)	;; user defined signal 2
-  )
-
-#+:IBMPS2
-(progn
-  (defconstant	SIGUSR1	30)	;; user defined signal 1
-  (defconstant	SIGUSR2	31)	;; user defined signal 2
-  )
-
 (setq |$NaNvalue| (NANQ))
-#-:ccl
-  (setq |$plusInfinity| (* 1.1  MOST-POSITIVE-LONG-FLOAT))
-#+:ccl
-  (setq |$plusInfinity| MOST-POSITIVE-LONG-FLOAT)
+(setq |$plusInfinity| (* 1.1  MOST-POSITIVE-LONG-FLOAT))
 (setq |$minusInfinity| (- |$plusInfinity|))
 
 @
